# Get details about a payment transaction

Get the details about a specific payment transaction.

Endpoint: GET /payments/br/transactions/{id}/
Version: 1.223.0
Security: basicAuth

## Path parameters:

  - `id` (string, required)
    The transaction.id you want to get detailed information about.
    Example: "a3b92311-1888-449f-acaa-49ae28d68fcd"

## Response 200 fields (application/json):

  - `id` (string, required)
    Belvo's unique identifier for the current item.
    Example: "0d3ffb69-f83b-456e-ad8e-208d0998d71d"

  - `created_at` (string, required)
    The ISO-8601 timestamp of when the data point was created in Belvo's database.
    Example: "2022-02-09T08:45:50.406032Z"

  - `created_by` (string, required)
    The unique ID for the user that created this item.
    Example: "bcef7f35-67f2-4b19-b009-cb38795faf09"

  - `amount` (string, required)
    The transaction amount.


Note: The amount displayed is always positive as we indicate the direction of the transaction in transaction_type parameter.
    Example: "1020.00"

  - `currency` (string, required)
    The currency of the amount paid, for example, BRL (Brazilian Real).
    Enum: "BRL"

  - `description` (string, required)
    The description of the payment.
    Example: "Training shoes"

  - `transaction_type` (string, required)
    The direction of the transaction.

  - INFLOW indicates money coming into the account.
  - OUTFLOW indicates money coming out of the account.
    Enum: "INFLOW", "OUTFLOW"

  - `beneficiary` (string, required)
    Belvo's unique ID used to identify the beneficiary's bank account.
    Example: "a80d5a9d-20ae-479a-8dd7-ff3443bcbbfc"

  - `payer` (any, required)
    Note: For OFPI, this will return an empty object {}.

  - `payment_intent` (string)
    The unique ID of the payment intent associated with the transaction.
    Example: "004a28bb-fac2-4172-884b-5b6ea15314ad"

  - `customer` (string)
    Belvo's unique ID for the customer asscociated with this transaction.
    Example: "9eebd63b-3339-44a9-8a5a-72bb6cb2f310"

## Response 403 fields (application/json):

  - `code` (string)
    A unique error code (access_to_resource_denied) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 403 access_to_resource_denied.
    Example: "access_to_resource_denied"

  - `message` (string)
    A short description of the error. 


For access_to_resource_denied errors, the description is:
  
  - You don't have access to this resource..
    Example: "You don't have access to this resource."

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 404 fields (application/json):

  - `code` (string)
    A unique error code (not_found) that allows you to classify and handle the error programmatically.
    Example: "not_found"

  - `message` (string)
    A short description of the error.


For not_found errors, the description is:

  - Not found
    Example: "Not found"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 408 fields (application/json):

  - `code` (string)
    A unique error code (request_timeout) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 408 request_timeout errors.
    Example: "request_timeout"

  - `message` (string)
    A short description of the error. 


For request_timeout errors, the description is:
  
  - The request timed out, you can retry asking for less data by changing your query parameters.
    Example: "The request timed out, you can retry asking for less data by changing your query parameters"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 500 fields (application/json):

  - `code` (string)
    A unique error code (unexpected_error) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 500 unexpected_error errors.
    Example: "unexpected_error"

  - `message` (string)
    A short description of the error. 


For unexpected_error errors, the description is:
  
  - Belvo is unable to process the request due to an internal system issue or to an unsupported response from an institution.
    Example: "Belvo is unable to process the request due to an internal system issue or to an unsupported response from an institution"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"


